Bug 1287666 - (CVE-2015-8390) CVE-2015-8390 pcre: uninitialized memory read triggered by malformed posix character class (8.38/22)
CVE-2015-8390 pcre: uninitialized memory read triggered by malformed posix ch...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Red Hat Product Security
impact=none,public=20151123,reported=...
: Security
Depends On: 1287667 1287668 1287669 1287670
Blocks: 1287727
  Show dependency treegraph
 
Reported: 2015-12-02 08:41 EST by Adam Mariš
Modified: 2017-08-02 15:54 EDT (History)
17 users (show)

See Also:
Fixed In Version: pcre 8.38
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-22 04:50:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-12-02 08:41:20 EST
It was found that PCRE before 8.38 mishandles the [: and \\ substrings in character classes, which are incorrectly compiled and could cause reading from uninitialized memory or an incorrect error diagnosis, which allows remote attackers to cause a denial of service (uninitialized memory read) or possibly have unspecified other impact via a crafted regular expression.
Comment 1 Adam Mariš 2015-12-02 08:42:20 EST
Created pcre tracking bugs for this issue:

Affects: fedora-all [bug 1287667]
Comment 2 Adam Mariš 2015-12-02 08:42:30 EST
Created glib2 tracking bugs for this issue:

Affects: fedora-all [bug 1287669]
Comment 3 Adam Mariš 2015-12-02 08:42:37 EST
Created mingw-pcre tracking bugs for this issue:

Affects: fedora-all [bug 1287668]
Affects: epel-7 [bug 1287670]
Comment 4 Adam Mariš 2015-12-02 10:24:11 EST
Corresponds to item 22 in http://vcs.pcre.org/pcre/code/trunk/ChangeLog?view=markup
Comment 5 Petr Pisar 2015-12-02 11:05:00 EST
Fixed in upstream with:

commit 084a8fe109a94f6d146c6a7a0e397cc3d40c6b67
Author: ph10 <ph10@2f5784b3-3f2a-0410-8824-cb99058d5e15>
Date:   Mon Jul 20 16:27:31 2015 +0000

    Fix bug for classes containing \\ sequences.
    
    
    git-svn-id: svn://vcs.exim.org/pcre/code/trunk@1578 2f5784b3-3f2a-0410-8824-
cb99058d5e15
Comment 6 Fedora Update System 2016-01-04 14:54:42 EST
pcre-8.38-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Tomas Hoger 2016-02-22 04:50:20 EST
(In reply to Petr Pisar from comment #5)
> Fixed in upstream with:
> 
> commit 084a8fe109a94f6d146c6a7a0e397cc3d40c6b67
> Author: ph10 <ph10@2f5784b3-3f2a-0410-8824-cb99058d5e15>
> Date:   Mon Jul 20 16:27:31 2015 +0000
> 
> Fix bug for classes containing \\ sequences.

Upstream commit link:

http://vcs.pcre.org/pcre?view=revision&revision=1578

This is a bug, but it does not seem to have any practical security impact.

Note You need to log in before you can comment on or make changes to this bug.